#include<bits/stdc++.h>
using namespace std;

namespace FAST_IO
{
	#define Get getchar
	#define Put putchar
	template<typename tp=int>
	inline tp read(){tp res=0;char ch=' ';for(;ch<'0'||ch>'9';ch=Get());for(;ch>='0'&&ch<='9';ch=Get())res=(res<<3)+(res<<1)+(ch^48);return res;}
	template<typename tp>
	inline void write(tp a,char b='\n')
	{
		static int stk[21],top;
		for(top=0;a;a/=10)stk[++top]=a%10;
		for(;top;--top)Put(stk[top]^48);
		Put(b);
		return;
	}
}
using namespace FAST_IO;
long long er=1;
int main()
{
	for(int i=1;i<=60;i++)er<<=1,printf("%18lld %d\n",er,(er>1e18));
	return 0;
}

